#ifndef MULTIPLESETTINGS_H
#define MULTIPLESETTINGS_H

#include <QDialog>
#include <QPushButton>

namespace Ui {
class MultipleSettings;
}

class MultipleSettings : public QDialog
{
    Q_OBJECT

public:
    explicit MultipleSettings(QWidget *parent = nullptr);
    ~MultipleSettings();
    quint16 getNewValue() {return newValue;}
    unsigned getStartAdr() {return startAdr;}
    unsigned getCountReg() {return countReg;}
    short getTypeReg() {return typeReg;}
    short getBoardId() {return boardId;}
signals:
    void write();
    void writeAndSend();

private slots:
    void on_buttonBox_clicked(QAbstractButton *button);

    void on_regTypeBox_currentIndexChanged(int index);

    void on_boardBox_currentIndexChanged(int index);

    void on_adrBox_valueChanged(int arg1);

private:
    Ui::MultipleSettings *ui;
    quint16 newValue = 0;
    unsigned startAdr;
    unsigned countReg;
    short typeReg;
    short boardId;
};

#endif // MULTIPLESETTINGS_H
